/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'ruleid',
          prop: 'rule_id',
          dataType: 'TEXT',
        },
        {
          name: 'rulecode',
          prop: 'rule_code',
          dataType: 'TEXT',
        },
        {
          name: 'rulename',
          prop: 'rule_name',
          dataType: 'TEXT',
        },
        {
          name: 'rulegroup',
          prop: 'group',
          dataType: 'SMCODELIST',
        },
        {
          name: 'memo',
          prop: 'memo',
          dataType: 'LONGTEXT_1000',
        },
        {
          name: 'businesscat',
          prop: 'business_cat',
          dataType: 'TEXT',
        },
        {
          name: 'modelname',
          prop: 'model_name',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'createdate',
          prop: 'createdate',
          dataType: 'DATETIME',
        },
        {
          name: 'cond',
          prop: 'cond',
          dataType: 'LONGTEXT',
        },
        {
          name: 'srfkey',
          prop: 'rule_id',
          dataType: 'TEXT',
          isEditable:true
        },
        {
          name: 'srfdataaccaction',
          prop: 'rule_id',
          dataType: 'TEXT',
        },
        {
          name: 'modelid',
          prop: 'model_id',
          dataType: 'PICKUP',
        },
        {
          name: 'srfmajortext',
          prop: 'rule_name',
          dataType: 'TEXT',
        },
        {
          name: 'ruleitem',
          prop: 'rule_id',
        },
      {
        name: 'n_rulename_like',
        prop: 'n_rulename_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_modelname_like',
        prop: 'n_modelname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_rulecode_like',
        prop: 'n_rulecode_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_rulegroup_like',
        prop: 'n_rulegroup_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_memo_like',
        prop: 'n_memo_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_cond_like',
        prop: 'n_cond_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_systemid_eq',
        prop: 'n_systemid_eq',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
        // 预置工作流数据字段
        {
          name: 'srfprocessdefinitionkey',
          prop: 'srfprocessdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskdefinitionkey',
          prop: 'srftaskdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskid',
          prop: 'srftaskid',
          dataType: 'TEXT'
        }
      ]
    }
  }

}